sqlite_last_error
sqlite_libencoding
SQLite Functions
PHP Manual

# sqlite_last_insert_rowid

# SQLiteDatabase->lastInsertRowid

(PHP 5, PECL sqlite >= 1.0.0)

sqlite_last_insert_rowid -- SQLiteDatabase->lastInsertRowid — Returns the rowid of the most recently inserted row

### Description

int sqlite_last_insert_rowid ( resource `$dbhandle` )

Object oriented style (method):

SQLiteDatabase
int lastInsertRowid ( void )

Returns the rowid of the row that was most recently inserted into the database `dbhandle` , if it was created as an auto-increment field.

Tip

You can create auto-increment fields in SQLite by declaring them as INTEGER PRIMARY KEY in your table schema.

### Parameters

`dbhandle`

  The SQLite Database resource; returned from sqlite_open() when used procedurally. This parameter is not required when using the object-oriented method.

### Return Values

Returns the row id, as an integer.

sqlite_last_error
sqlite_libencoding
SQLite Functions
PHP Manual